cgGLDisableTextureParameter(3)

NAME
cgGLDisableTextureParameter - disables the texture unit associated with a texture parameter

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLDisableTextureParameter( CGparameter param );

PARAMETERS

param
    The texture parameter which will be disabled.

RETURN VALUES
None.

DESCRIPTION
cgGLDisableTextureParameter unbinds and disables the texture object associated param.

See cgGLEnableTextureParameter for more information.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_INVALID_PARAMETER_ERROR is generated if param is not a texture parameter or if the parameter fails to set for any other reason.

HISTORY
cgGLDisableTextureParameter was introduced in Cg 1.1.

SEE ALSO
cgGLEnableTextureParameter, cgGLSetTextureParameter